#ifndef DYNAMICOBJECT_HPP_INCLUDED
#define DYNAMICOBJECT_HPP_INCLUDED

#include "Renderable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class DynamicObject : public Renderable
    {
        public:
            DynamicObject();
            DynamicObject(const void* Obj);
            DynamicObject(const DynamicObject& D);
            static Class GetClass();

            std::int32_t GetID() const;
            std::int32_t GetOrientation() const;
            std::int32_t GetType() const;
    };
}

#endif // DYNAMICOBJECT_HPP_INCLUDED
